#!/bin/sh

RSYNC_DRYRUN="--dry-run"
if test "$1" = "--real"; then
	RSYNC_DRYRUN=""
	ssh $(whoami)@xwx.moe /usr/local/bin/update-forgejo-perms
fi

rsync $RSYNC_DRYRUN --recursive --delete --archive --verbose  custom $(whoami)@xwx.moe:/var/lib/forgejo/

if test "$RSYNC_DRYRUN" = "--dry-run"; then
	echo "=================================================="
	echo "Ran in --dry-run mode!"
	echo "Try '$(basename "$0") --real' if the output seems OK."
	echo "=================================================="
	exit 0
fi

ssh $(whoami)@xwx.moe /usr/local/bin/update-forgejo-config
